> ## Documentation Index
> Fetch the complete documentation index at: https://developers.goevery.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Order



## OpenAPI

````yaml patch /v1/orders/{id}
openapi: 3.1.0
info:
  version: 1.0.0
  title: every public api
servers:
  - url: https://api.goevery.co
security:
  - bearerAuth: []
paths:
  /v1/orders/{id}:
    patch:
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateOrderRequest'
      responses:
        '200':
          description: Successfully updated a order.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Order'
components:
  schemas:
    UpdateOrderRequest:
      type: object
      properties:
        order:
          type: object
          properties:
            status:
              type: string
              enum:
                - NEW
                - CONFIRMED
                - READY
                - CANCELLED
              description: The new status of the order.
              example: NEW
            recipient:
              type: object
              properties:
                firstName:
                  type: string
                  description: The first name of the order recipient.
                  example: Valentina
                lastName:
                  type: string
                  description: The last name of the order recipient.
                  example: Rodríguez López
                documentType:
                  type:
                    - string
                    - 'null'
                  enum:
                    - CC
                    - CE
                    - NI
                    - TI
                    - null
                  description: The type of document identifying the recipient.
                  example: CC
                document:
                  type:
                    - string
                    - 'null'
                  description: The document number of the recipient.
                  example: '1040777098'
                email:
                  type: string
                  description: The email address of the recipient.
                  example: valentina@gmail.com
                phoneNumber:
                  type: string
                  description: The phone number of the recipient.
                  example: '+573193210329'
                address:
                  type: object
                  properties:
                    addressLines:
                      type: array
                      items:
                        type: string
                      description: >-
                        Two lines detailing the specific street address,
                        including street name, building number, apartment or
                        suite number, and any other relevant details.
                      example:
                        - Calle 123
                        - Apto 2
                    organization:
                      type:
                        - string
                        - 'null'
                      description: >-
                        The name of the organization associated with this
                        address, if applicable.
                  required:
                    - addressLines
                  description: The address details.
                location:
                  type: string
                  maxLength: 96
                  description: The resource name of the destination location.
                  example: locations/CO-11001000
              required:
                - firstName
                - lastName
                - email
                - phoneNumber
                - address
                - location
              description: Details of the recipient of the order.
            contentDescription:
              type: string
              minLength: 3
              maxLength: 128
              description: A very short description of the package content.
              example: Shoes
            notes:
              type: string
              minLength: 3
              maxLength: 2048
              description: >-
                A detailed description of the contents of this package and
                additional information.
              example: 1 Pair of Reebok Nano, Size 8, Color Black
            sellingPriceCents:
              type: number
              description: The order selling price, just for reporting purposes.
              example: 1430000
            cashOnDeliveryRequestCents:
              type: number
              minimum: 0
              description: The amount to be collected on delivery in cents.
              example: 8900000
            paymentMethods:
              type: array
              items:
                type: string
              description: Payment methods used for this order.
              example:
                - Cash On Delivery (COD)
                - Credit Card
            fulfiller:
              type: string
              enum:
                - every
                - dropi
              description: The entity responsible for fulfilling (shipping) the order.
              example: every
          description: The order fields new values.
          example:
            status: CONFIRMED
            sellingPriceCents: 1490000
        updateMask:
          type: array
          items:
            type: string
            enum:
              - status
              - recipient
              - sellingPriceCents
              - cashOnDeliveryRequestCents
              - paymentMethods
              - contentDescription
              - notes
              - fulfiller
          minItems: 1
          description: The list of fields to be updated.
          example:
            - status
            - sellingPriceCents
      required:
        - order
        - updateMask
    Order:
      type: object
      properties:
        name:
          type: string
          description: The unique identifier of the order.
          example: orders/669a8cba6af86466a42de2fe
        createTime:
          type: string
          format: date-time
          description: The timestamp when the order was created.
          example: '2024-07-17T21:32:52.478Z'
        updateTime:
          type: string
          format: date-time
          description: The timestamp when the order was last updated.
          example: '2024-07-17T21:32:52.478Z'
        status:
          type: string
          enum:
            - NEW
            - CONFIRMED
            - READY
            - IN_PROGRESS
            - CANCELLED
            - DELIVERED
            - RETURN
          description: The current status of the order.
          example: NEW
        recipient:
          type: object
          properties:
            firstName:
              type: string
              description: The first name of the order recipient.
              example: Valentina
            lastName:
              type: string
              description: The last name of the order recipient.
              example: Rodríguez López
            documentType:
              type:
                - string
                - 'null'
              enum:
                - CC
                - CE
                - NI
                - TI
                - null
              description: The type of document identifying the recipient.
              example: CC
            document:
              type:
                - string
                - 'null'
              description: The document number of the recipient.
              example: '1040777098'
            email:
              type: string
              description: The email address of the recipient.
              example: valentina@gmail.com
            phoneNumber:
              type: string
              description: The phone number of the recipient.
              example: '+573193210329'
            address:
              type: object
              properties:
                regionCode:
                  type: string
                  description: >-
                    The ISO 3166-1 alpha-2 region code representing the country
                    or territory.
                  example: CO
                administrativeArea:
                  type: string
                  description: >-
                    The primary administrative division, such as a state or
                    province, within the region.
                  example: Antioquia
                locality:
                  type: string
                  description: The specific city, town, or municipality.
                  example: Abejorral
                addressLines:
                  type: array
                  items:
                    type: string
                  description: >-
                    Two lines detailing the specific street address, including
                    street name, building number, apartment or suite number, and
                    any other relevant details.
                  example:
                    - Calle 123
                    - Apto 2
                organization:
                  type: string
                  description: >-
                    The name of the organization associated with this address,
                    if applicable.
                  example: Happeett
              required:
                - regionCode
                - administrativeArea
                - locality
                - addressLines
                - organization
              description: The address details.
            location:
              type: string
              maxLength: 96
              description: The resource name of the destination location.
              example: locations/CO-11001000
          required:
            - firstName
            - lastName
            - email
            - phoneNumber
            - address
            - location
          description: Details of the recipient of the order.
        contentDescription:
          type: string
          minLength: 3
          maxLength: 128
          description: A description of the package content.
          example: Shoes
        notes:
          type: string
          minLength: 3
          maxLength: 2048
          description: >-
            A detailed description of the contents of this package and
            additional information.
          example: 1 Pair of Reebok Nano, Size 8, Color Black
        sellingPriceCents:
          type: number
          description: The order selling price, just for reporting purposes.
          example: 1430000
        cashOnDeliveryRequestCents:
          type: number
          minimum: 0
          description: The amount to be collected on delivery in cents.
          example: 8900000
        shipment:
          type: string
          description: The unique identifier for the associated shipment.
          example: shipments/669986bb4ae1239d5a92cdff
        customerReliability:
          type: string
          enum:
            - RELIABLE
            - MODERATE
            - UNRELIABLE
            - NO_ORDERS
          description: The reliability of the customer.
          example: RELIABLE
        customerBehavior:
          type: object
          properties:
            totalShipments:
              type: number
              description: The total number of shipments made by the customer.
              example: 10
            deliveredShipments:
              type: number
              description: The total number of shipments delivered by the customer.
              example: 8
            returnedShipments:
              type: number
              description: The total number of shipments returned by the customer.
              example: 2
            reliability:
              type: string
              enum:
                - RELIABLE
                - MODERATE
                - UNRELIABLE
                - NO_ORDERS
              description: The reliability of the customer.
              example: RELIABLE
          required:
            - totalShipments
            - deliveredShipments
            - returnedShipments
            - reliability
        referenceId:
          type: string
          description: >-
            The ID of the order in the external system that created it, like
            Shopify order name.
          example: '4012'
        referenceGid:
          type: string
          description: >-
            The global identifier of the order in the external system, like
            Shopify order GID.
          example: '93240958723'
        referenceUrl:
          type: string
          format: uri
          description: The URL to the order in the external system, like Shopify order URL.
          example: https://mystore.com/order/1234567890
        paymentMethods:
          type: array
          items:
            type: string
          description: Payment methods used for this order.
          example:
            - Cash On Delivery (COD)
            - Credit Card
        fulfiller:
          type: string
          description: The entity responsible for fulfilling (shipping) the order.
          example: every
      required:
        - name
        - createTime
        - updateTime
        - status
        - recipient
        - contentDescription
        - notes
        - sellingPriceCents
        - cashOnDeliveryRequestCents
        - customerReliability
        - customerBehavior
        - fulfiller
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````